# $Revision: 1.4.2.1 $, $Date: 2007/03/07 09:49:08 $
Summary:	A Python interface to libclamav
Summary(pl):	Interfejs Pythona do libclamav
Name:		python-pyclamav
Version:	0.3.3
Release:	1
License:	GPL
Group:		Libraries/Python
Source0:	http://norman.free.fr/norman/python/pyclamav/pyclamav-%{version}.tar.gz
# Source0-md5:	7899cff81288b201503747a0ba4d7db3
URL:		http://xael.org/norman/python/pyclamav/index.html
BuildRequires:  clamav-devel >= 0:0.80
BuildRequires:	python
BuildRequires:	python-devel >= 1:2.4
Requires:       clamav >= 0:0.80
Requires:	python
%pyrequires_eq	python-modules
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A Python interface to libclamav.

%description -l pl
Interfejs Pythona do libclamav.

%prep
%setup -q -n pyclamav-%{version}

%build
env CFLAGS="%{rpmcflags}" %{_bindir}/python setup.py build

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

python -- setup.py install \
	--root=$RPM_BUILD_ROOT \
	--optimize=2

cp -aR example.py $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.txt CHANGELOG
%attr(755,root,root) %{py_sitedir}/*.so
%dir %{_examplesdir}/%{name}-%{version}
%{_examplesdir}/%{name}-%{version}/example.py

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-pyclamav.spec,v $
Revision 1.4.2.1  2007/03/07 09:49:08  hawk
- Ac deps

Revision 1.4  2006/12/04 15:41:01  arekm
- up to 0.3.3

Revision 1.3  2005/07/25 13:43:38  zawadaa
- up to 0.3.1
- add example.py

Revision 1.2  2005/03/17 11:11:20  spider
- missing log section

